# Build Configuration

Please be aware that this page doesn't reflect all the options used to build Thunderbird Daily.

## Build platform

target
aarch64--netbsd

## Build tools

Compiler | Version | Compiler flags
--- | --- | ---

/pbulk/work/mail/thunderbird/work/.cwrapper/bin/gcc -std=gnu99

10.5.0

-O2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/nspr -I/usr/X11R7/include -I/usr/X11R7/include/libdrm -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/ffmpeg6 -I/usr/pkg/include/freetype2 -I/usr/pkg/include/harfbuzz -Dunix -fPIC -DPIC -ffunction-sections -fdata-sections -fno-math-errno -pthread -pipe

/pbulk/work/mail/thunderbird/work/.cwrapper/bin/c++ -std=gnu++17

10.5.0

-DPNG_NO_ASSEMBLER_CODE -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/nspr -I/usr/X11R7/include -I/usr/X11R7/include/libdrm -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/ffmpeg6 -I/usr/pkg/include/freetype2 -I/usr/pkg/include/harfbuzz -fno-sized-deallocation -fno-aligned-new -O2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/nspr -I/usr/X11R7/include -I/usr/X11R7/include/libdrm -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/ffmpeg6 -I/usr/pkg/include/freetype2 -I/usr/pkg/include/harfbuzz -fno-exceptions -Dunix -fPIC -DPIC -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -pthread -pipe -gdwarf-4 -O2 -fomit-frame-pointer -funwind-tables

/usr/pkg/bin/rustc | 1.73.0 |

## Configure options

--enable-application=comm/mail --host=aarch64--netbsd --target=aarch64--netbsd --disable-tests --enable-optimize=-O2 CC=gcc CXX=c++ PKG_CONFIG=/pbulk/work/mail/thunderbird/work/.tools/bin/pkg-config --with-app-name=thunderbird 'BINDGEN_CFLAGS=-isystem/usr/pkg/include/nspr -isystem/usr/X11R7/include/pixman-1' --enable-system-ffi --enable-chrome-format=flat --with-system-webp --disable-webrtc --without-wasm-sandboxed-libraries --with-system-nss --disable-updater --with-system-libevent --enable-system-pixman MAKE=make --disable-icf --with-system-zlib --disable-official-branding --prefix=/usr/pkg